﻿"""Provides a scripting component.
    Inputs:
        x: The x script variable
        y: The y script variable
    Output:
        a: The a output variable"""

__author__ = "tzhang"
__version__ = "2023.04.11"

import rhinoscriptsyntax as rs
import scriptcontext as sc
import random
import Rhino

sc.doc = Rhino.RhinoDoc.ActiveDoc

def RandomColorLayers():
    if "CL_Choice" in sc.sticky: sel_choice = sc.sticky["CL_Choice"]
    else: sel_choice = False
    choice=["Select","AllLayers","LayerRange"]
    gb=rs.GetBoolean("Layers to select?",choice,sel_choice)    
    if not gb: return
    if gb[0]:
        layers=rs.GetLayers("Select layers to randomize color")
        if not layers: return
    else:
        layers=rs.LayerNames()
    rs.EnableRedraw(False)
    for layer in layers:
        r=random.randint(0,255)
        g=random.randint(0,255)
        b=random.randint(0,255)
        rs.LayerColor(layer,(r,g,b))
    sc.sticky["CL_Choice"] = sel_choice

RandomColorLayers()
